
From: Pavel Machek <pavel@suse.cz>

This fixes u32 vs. pm_message_t confusion in macintosh.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/macintosh/via-pmu.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/macintosh/via-pmu.c~fix-u32-vs-pm_message_t-in-macintosh drivers/macintosh/via-pmu.c
--- 25/drivers/macintosh/via-pmu.c~fix-u32-vs-pm_message_t-in-macintosh	Thu Feb 17 16:40:11 2005
+++ 25-akpm/drivers/macintosh/via-pmu.c	Thu Feb 17 16:40:11 2005
@@ -2339,7 +2339,7 @@ pmac_suspend_devices(void)
 	}
 
 	/* Send suspend call to devices, hold the device core's dpm_sem */
-	ret = device_suspend(PM_SUSPEND_MEM);
+	ret = device_suspend(PMSG_SUSPEND);
 	if (ret) {
 		broadcast_wake();
 		printk(KERN_ERR "Driver sleep failed\n");
_
